import { OnInit, DoCheck, SimpleChanges, OnChanges } from "@angular/core";
import { ItemService } from "../item-service/item-service.service";
import { CdkDragDrop } from "@angular/cdk/drag-drop";
export declare class DragAndDropComponent implements OnInit, DoCheck, OnChanges {
    private itemService;
    userAnswer: any;
    orginalArray: any[];
    correctAns: any;
    message: any;
    properArray: any;
    shuffledArray: any;
    userActions: boolean;
    clearAnswer: any;
    userAnswerService: any;
    assetData: any;
    questionDetails1: any;
    assetPosition: any;
    dropDownValues: any[];
    choiceDropDown: any;
    templateType: any;
    selectedItem: {
        itemPosition: string;
        index: number;
    };
    todo: any;
    done: any;
    answerRefArr: any;
    get questionDetails(): any;
    set questionCurrentData(value: any);
    constructor(itemService: ItemService);
    examEngineType: string;
    canShowMetadata: boolean;
    isClearAnswer: boolean;
    isShowHide: boolean;
    imagePath: any;
    checkQuizSubmission: any;
    selectedTheme: any;
    fontSize: any;
    preferredTextFormat: number;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngDoCheck(): void;
    compareOrginalArrayToUserArray(): boolean;
    checkingOrder(): boolean;
    clearUserInputs(): void;
    valueChanged(): void;
    checkEmptyAsset(): boolean;
    createQuestion(): void;
    validateUserAnswer(): boolean;
    drop(event: CdkDragDrop<string[]>): void;
    sortByDropdown(oldValue: any, newValue: any): void;
    /**Functions for template2 actions */
    selectItem(position: any, index: any): void;
    moveToDoneList(): void;
    moveSelectedItem(action: any): void;
    validateButtons(arrow: any): boolean;
    checkingOrderTemplate2(): boolean;
    checkUserAnswer(): boolean;
}
